package com.fjhx.area.controller;

import com.baomidou.dynamic.datasource.annotation.DS;
import com.fjhx.area.entity.po.AreaInfo;
import com.fjhx.area.service.AreaInfoService;
import com.ruoyi.common.constant.BaseSourceConstant;
import org.springframework.web.bind.annotation.*;
import com.fjhx.area.entity.dto.AreaInfoSelectDto;
import org.springframework.beans.factory.annotation.Autowired;

import java.util.List;

/**
 * <p>
 * 国家城市表 前端控制器
 * </p>
 *
 * @author 
 * @since 2023-03-17
 */
@DS(BaseSourceConstant.BASE)
@RestController
@RequestMapping("/areaInfo")
public class AreaInfoController {

    @Autowired
    private AreaInfoService areaInfoService;

    /**
     * 国家城市表列表
     */
    @PostMapping("/list")
    public List<AreaInfo> list(@RequestBody AreaInfoSelectDto dto) {
        return areaInfoService.getList(dto);
    }

}
