package com.fjhx.file.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.fjhx.file.entity.FileInfo;
import com.fjhx.file.entity.FileInfoVo;
import com.ruoyi.common.utils.wrapper.IWrapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 文件表 Mapper 接口
 * </p>
 *
 * @author zlj
 * @since 2023-03-14
 */
public interface FileInfoMapper extends BaseMapper<FileInfo> {

    /**
     * 文件表列表
     */
    List<FileInfoVo> getList(@Param("ew") IWrapper<Object> wrapper);

}
