package com.fjhx.flow.entity.flow.dto;

import com.alibaba.fastjson.JSONObject;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotNull;

@Getter
@Setter
public class JumpDto {

    /**
     * 流程id
     */
    @NotNull(message = "流程id不能为空")
    private Long flowId;

    /**
     * 处理类型:
     * 1跳转下一节点
     * 2返回上一节点
     * 3结束流程
     */
    @NotNull(message = "跳转节点不能为空")
    private Integer handleType;

    @NotNull(message = "实例版本不能为空")
    private Integer version;

    /**
     * 下级节点审批人
     */
    private Long handleUserId;

    /**
     * 处理备注
     */
    private String remark;

    /**
     * 提交数据
     */
    private JSONObject data;

}
