package com.fjhx.flow.entity.flow.po;

import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BasePo;
import lombok.Getter;
import lombok.Setter;

/**
 * <p>
 * 流程实例明细
 * </p>
 *
 * @author
 * @since 2023-03-16
 */
@Getter
@Setter
@TableName("flow_example_detail")
public class FlowExampleDetail extends BasePo {

    /**
     * 流程实例id
     */
    private Long flowExampleId;

    /**
     * 流程节点id
     */
    private Long flowDefinitionNodeId;

    /**
     * 流程节点类型
     */
    private Integer flowDefinitionNodeType;

    /**
     * 处理类型 1、跳转下一节点 2、结束流程 3、返回上一节点 4、退回到发起人
     */
    private Integer handleType;

    /**
     * 处理意见
     */
    private String handleRemark;

    /**
     * 提交参数
     */
    private String submitData;

}
