package com.fjhx.flow.service.flow;

import com.fjhx.flow.entity.flow.po.FlowInfo;
import com.ruoyi.common.core.service.BaseService;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.flow.entity.flow.vo.FlowInfoVo;
import com.fjhx.flow.entity.flow.dto.FlowInfoSelectDto;
import com.fjhx.flow.entity.flow.dto.FlowInfoDto;


/**
 * <p>
 * 流程信息 服务类
 * </p>
 *
 * @author 
 * @since 2023-03-15
 */
public interface FlowInfoService extends BaseService<FlowInfo> {

    /**
     * 流程信息分页
     */
    Page<FlowInfoVo> getPage(FlowInfoSelectDto dto);

    /**
     * 流程信息新增
     */
    void add(FlowInfoDto flowInfoDto);

    /**
     * 流程信息编辑
     */
    void edit(FlowInfoDto flowInfoDto);

}
