package com.fjhx.kd100.entity.company.po;

import com.ruoyi.common.core.domain.BaseIdPo;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Getter;
import lombok.Setter;

/**
 * <p>
 * 物流公司
 * </p>
 *
 * @author 
 * @since 2023-04-11
 */
@Getter
@Setter
@TableName("company_info")
public class CompanyInfo extends BaseIdPo {

    /**
     * 编码
     */
    private String code;

    /**
     * 名称
     */
    private String name;

    /**
     * 类型
     */
    private String type;

    /**
     * 排序
     */
    private Integer sort;

}
