package com.fjhx.kd100.entity.logistics.po;

import com.ruoyi.common.core.domain.BasePo;
import com.baomidou.mybatisplus.annotation.TableName;
import java.util.Date;
import lombok.Getter;
import lombok.Setter;

/**
 * <p>
 * 快递监听信息
 * </p>
 *
 * @author 
 * @since 2023-04-11
 */
@Getter
@Setter
@TableName("logistics_info")
public class LogisticsInfo extends BasePo {

    /**
     * 物流公司编号
     */
    private String company;

    /**
     * 物流单号
     */
    private String number;

    /**
     * -1未找到快递信息，0在途，1揽收，2疑难，3签收，4退签，5派件，6退回，7转投，8清关，14拒签
     */
    private Integer state;

    /**
     * 业务id
     */
    private Long businessId;

    /**
     * 业务类型
     */
    private Integer businessType;

    /**
     * 表名
     */
    private String tableName;

}
