package com.fjhx.kd100.event;

import com.fjhx.kd100.entity.logistics.po.LogisticsInfo;
import lombok.Getter;
import org.springframework.context.ApplicationEvent;

/**
 * 快递100回调触发事件
 */
public class Kd100CallbackEvent extends ApplicationEvent {

    @Getter
    private final LogisticsInfo logisticsInfo;

    public Kd100CallbackEvent(Object source, LogisticsInfo logisticsInfo) {
        super(source);
        this.logisticsInfo = logisticsInfo;
    }

}
