package com.fjhx.kd100.mapper.company;

import com.fjhx.kd100.entity.company.po.CompanyInfo;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.fjhx.kd100.entity.company.vo.CompanyInfoVo;
import com.ruoyi.common.utils.wrapper.IWrapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 物流公司 Mapper 接口
 * </p>
 *
 * @author 
 * @since 2023-04-11
 */
public interface CompanyInfoMapper extends BaseMapper<CompanyInfo> {

    /**
     * 物流公司列表
     */
    List<CompanyInfoVo> getList(@Param("ew") IWrapper<CompanyInfo> wrapper);

}
