package com.fjhx.socket.event;

import com.fjhx.socket.service.WebSocketServer;
import lombok.Getter;
import org.springframework.context.ApplicationEvent;

/**
 * webStock发送异常
 */
@Getter
public class WebSocketOnErrorEvent extends ApplicationEvent {

    private final Throwable throwable;

    public WebSocketOnErrorEvent(WebSocketServer source, Throwable throwable) {
        super(source);
        this.throwable = throwable;
    }

}