package com.fjhx.tenant.mapper.dict;

import com.fjhx.tenant.entity.dict.po.DictCommonType;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.tenant.entity.dict.vo.DictCommonTypeVo;
import com.ruoyi.common.utils.wrapper.IWrapper;
import org.apache.ibatis.annotations.Param;


/**
 * <p>
 * 业务字典 Mapper 接口
 * </p>
 *
 * @author 
 * @since 2023-03-30
 */
public interface DictCommonTypeMapper extends BaseMapper<DictCommonType> {

    /**
     * 业务字典分页
     */
    Page<DictCommonTypeVo> getPage(@Param("page") Page<Object> page, @Param("ew") IWrapper<DictCommonType> wrapper);

}
