package com.fjhx.tenant.service.dict;

import com.fjhx.tenant.entity.dict.po.DictCommonData;
import com.ruoyi.common.core.service.BaseService;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.tenant.entity.dict.vo.DictCommonDataVo;
import com.fjhx.tenant.entity.dict.dto.DictCommonDataSelectDto;
import com.fjhx.tenant.entity.dict.dto.DictCommonDataDto;


/**
 * <p>
 * 业务字典明细 服务类
 * </p>
 *
 * @author 
 * @since 2023-03-30
 */
public interface DictCommonDataService extends BaseService<DictCommonData> {

    /**
     * 业务字典明细分页
     */
    Page<DictCommonDataVo> getPage(DictCommonDataSelectDto dto);

    /**
     * 业务字典明细明细
     */
    DictCommonDataVo detail(Long id);

    /**
     * 业务字典明细新增
     */
    void add(DictCommonDataDto dictCommonDataDto);

    /**
     * 业务字典明细编辑
     */
    void edit(DictCommonDataDto dictCommonDataDto);

    /**
     * 业务字典明细删除
     */
    void delete(Long id);

}
