package com.fjhx.tenant.service.dict;

import com.fjhx.tenant.entity.dict.po.DictTenantData;
import com.ruoyi.common.core.service.BaseService;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.tenant.entity.dict.vo.DictTenantDataVo;
import com.fjhx.tenant.entity.dict.dto.DictTenantDataSelectDto;
import com.fjhx.tenant.entity.dict.dto.DictTenantDataDto;

import java.util.List;


/**
 * <p>
 * 租户字典明细 服务类
 * </p>
 *
 * @author 
 * @since 2023-03-30
 */
public interface DictTenantDataService extends BaseService<DictTenantData> {

    /**
     * 租户字典明细分页
     */
    Page<DictTenantDataVo> getPage(DictTenantDataSelectDto dto);

    /**
     * 租户字典明细明细
     */
    DictTenantDataVo detail(Long id);

    /**
     * 租户字典明细新增
     */
    void add(DictTenantDataDto dictTenantDataDto);

    /**
     * 租户字典明细编辑
     */
    void edit(DictTenantDataDto dictTenantDataDto);

    /**
     * 租户字典明细删除
     */
    void delete(Long id);

    /**
     * 获取租户字典
     */
    List<DictTenantDataVo> getList(DictTenantDataSelectDto dto);

}
