package com.ruoyi.common.config;

import cn.hutool.core.util.StrUtil;
import com.ruoyi.common.exception.ServiceException;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

@Component
@ConfigurationProperties(prefix = "hx")
public class HxConfig {


    private static String httpUrl;

    public void setHttpUrl(String httpUrl) {
        HxConfig.httpUrl = httpUrl;
    }

    public static String getHttpUrl() {
        
        if (StrUtil.isBlank(httpUrl)) {
            throw new ServiceException("yml未配置 hx.httpUrl");
        }

        if (httpUrl.endsWith("/")) {
            return httpUrl;
        }

        return httpUrl + "/";
    }
}
