package com.ruoyi.system.domain.vo;

import com.ruoyi.system.domain.SysUserMenu;
import lombok.Getter;
import lombok.Setter;

/**
 * 用户目录表列表查询返回值实体
 *
 * @author
 * @since 2023-04-03
 */
@Getter
@Setter
public class SysUserMenuVo extends SysUserMenu {

    /**
     * 菜单名称
     */
    private String menuName;

    /**
     * 路由地址
     */
    private String path;

    /**
     * 组件路径
     */
    private String component;

    /**
     * 路由参数
     */
    private String query;

    /**
     * 是否为外链（0是 1否）
     */
    private String isFrame;

    /**
     * 是否缓存（0缓存 1不缓存）
     */
    private String isCache;

    /**
     * 类型（M目录 C菜单 F按钮）
     */
    private String menuType;

    /**
     * 显示状态（0显示 1隐藏）
     */
    private String visible;

    /**
     * 权限字符串
     */
    private String perms;

    /**
     * 菜单图标
     */
    private String icon;

    /**
     * 背景颜色
     */
    private String background;

    /**
     * 颜色
     */
    private String color;

}
