package com.ruoyi.system.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ruoyi.common.utils.wrapper.IWrapper;
import com.ruoyi.system.domain.SysUserMenu;
import com.ruoyi.system.domain.vo.SysUserMenuVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;


/**
 * <p>
 * 用户目录表 Mapper 接口
 * </p>
 *
 * @author
 * @since 2023-04-03
 */
public interface SysUserMenuMapper extends BaseMapper<SysUserMenu> {

    /**
     * 用户目录表列表
     */
    List<SysUserMenuVo> getList(@Param("ew") IWrapper<SysUserMenu> wrapper);

}
