package com.ruoyi.system.service;

import com.ruoyi.common.core.service.BaseService;
import com.ruoyi.system.domain.SysUserMenu;
import com.ruoyi.system.domain.dto.SysUserMenuEditDto;
import com.ruoyi.system.domain.dto.SysUserMenuSelectDto;
import com.ruoyi.system.domain.vo.SysUserMenuVo;

import java.util.List;


/**
 * <p>
 * 用户目录表 服务类
 * </p>
 *
 * @author
 * @since 2023-04-03
 */
public interface SysUserMenuService extends BaseService<SysUserMenu> {

    /**
     * 用户目录表列表
     */
    List<SysUserMenuVo> getList(SysUserMenuSelectDto dto);

    /**
     * 用户目录表编辑
     */
    void edit(SysUserMenuEditDto dto);

}
