package com.fjhx.file.entity;

import com.ruoyi.common.core.domain.BaseSelectDto;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotEmpty;
import java.util.List;

/**
 * 文件表列表查询入参实体
 *
 * @author zlj
 * @since 2023-03-14
 */
@Getter
@Setter
public class FileInfoSelectDto extends BaseSelectDto {

    /**
     * 文件id列表
     */
    @NotEmpty(message = "文件id列表不能为空")
    private List<Long> businessIdList;

    /**
     * 文件类型
     */
    private Integer fileType;

}
