package com.fjhx.flow.entity.flow.dto;

import com.fjhx.flow.entity.flow.po.FlowDefinition;
import com.fjhx.flow.entity.flow.po.FlowDefinitionNode;
import lombok.Getter;
import lombok.Setter;

import javax.validation.Valid;
import javax.validation.constraints.NotEmpty;
import java.util.List;

@Getter
@Setter
public class FlowDefinitionDto extends FlowDefinition {

    /**
     * 流程节点列表
     */
    @Valid
    @NotEmpty(message = "流程节点列表不能为空")
    private List<FlowDefinitionNode> flowDefinitionNodeList;

}
