package com.fjhx.flow.entity.flow.dto;

import com.alibaba.fastjson.JSONObject;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;

@Getter
@Setter
public class InitiateDto {

    /**
     * 流程标识
     */
    @NotBlank(message = "流程标识不能为空")
    private String flowKey;

    /**
     * 处理备注
     */
    private String remark;

    /**
     * 下级节点审批人
     */
    private Long handleUserId;

    /**
     * 提交数据
     */
    private JSONObject data;

}
