package com.fjhx.flow.mapper.flow;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.flow.entity.flow.po.FlowDefinition;
import com.fjhx.flow.entity.flow.vo.FlowDefinitionPageVo;
import com.ruoyi.common.utils.wrapper.IWrapper;
import org.apache.ibatis.annotations.Param;


/**
 * <p>
 * 流程定义 Mapper 接口
 * </p>
 *
 * @author
 * @since 2023-03-15
 */
public interface FlowDefinitionMapper extends BaseMapper<FlowDefinition> {

    /**
     * 租户流程分页
     */
    Page<FlowDefinitionPageVo> getPage(@Param("page") Page<Object> page, @Param("ew") IWrapper<Object> wrapper);

}
