package com.fjhx.flow.mapper.flow;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.flow.entity.flow.po.FlowInfo;
import com.fjhx.flow.entity.flow.vo.FlowInfoVo;
import com.ruoyi.common.utils.wrapper.IWrapper;
import org.apache.ibatis.annotations.Param;


/**
 * <p>
 * 流程信息 Mapper 接口
 * </p>
 *
 * @author
 * @since 2023-03-15
 */
public interface FlowInfoMapper extends BaseMapper<FlowInfo> {

    /**
     * 流程信息分页
     */
    Page<FlowInfoVo> getPage(@Param("page") Page<Object> page, @Param("ew") IWrapper<FlowInfo> wrapper);

}
