package com.fjhx.kd100.controller.company;

import com.baomidou.dynamic.datasource.annotation.DS;
import com.fjhx.kd100.entity.company.dto.CompanyInfoSelectDto;
import com.fjhx.kd100.entity.company.vo.CompanyInfoVo;
import com.fjhx.kd100.service.company.CompanyInfoService;
import com.ruoyi.common.constant.BaseSourceConstant;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * <p>
 * 物流公司 前端控制器
 * </p>
 *
 * @author
 * @since 2023-04-11
 */
@DS(BaseSourceConstant.KD100)
@RestController
@RequestMapping("/companyInfo")
public class CompanyInfoController {

    @Autowired
    private CompanyInfoService companyInfoService;

    /**
     * 物流公司列表
     */
    @PostMapping("/list")
    public List<CompanyInfoVo> list(@RequestBody CompanyInfoSelectDto dto) {
        return companyInfoService.getList(dto);
    }

}
