package com.fjhx.kd100.entity.config.po;

import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BasePo;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotNull;

/**
 * <p>
 * 租户快递100账户配置
 * </p>
 *
 * @author
 * @since 2023-04-11
 */
@Getter
@Setter
@TableName("config_info")
public class ConfigInfo extends BasePo {

    /**
     * 快递100 key
     */
    @NotNull
    private String kdKey;

    /**
     * 快递100 customer
     */
    @NotNull
    private String kdCustomer;

    /**
     * 快递100 secret
     */
    @NotNull
    private String kdSecret;

    /**
     * 快递100 userId
     */
    @NotNull
    private String kdUserId;

    /**
     * 租户id
     */
    @NotNull
    private String tenantId;

}
