package com.fjhx.kd100.mapper.config;

import com.fjhx.kd100.entity.config.po.ConfigInfo;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.kd100.entity.config.vo.ConfigInfoVo;
import com.ruoyi.common.utils.wrapper.IWrapper;
import org.apache.ibatis.annotations.Param;


/**
 * <p>
 * 租户快递100账户配置 Mapper 接口
 * </p>
 *
 * @author 
 * @since 2023-04-11
 */
public interface ConfigInfoMapper extends BaseMapper<ConfigInfo> {

    /**
     * 租户快递100账户配置分页
     */
    Page<ConfigInfoVo> getPage(@Param("page") Page<Object> page, @Param("ew") IWrapper<ConfigInfo> wrapper);

}
