package com.fjhx.kd100.service.company.impl;

import com.fjhx.kd100.entity.company.po.CompanyInfo;
import com.fjhx.kd100.mapper.company.CompanyInfoMapper;
import com.fjhx.kd100.service.company.CompanyInfoService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;
import com.fjhx.kd100.entity.company.vo.CompanyInfoVo;
import com.fjhx.kd100.entity.company.dto.CompanyInfoSelectDto;
import com.ruoyi.common.utils.wrapper.IWrapper;

import java.util.List;

/**
 * <p>
 * 物流公司 服务实现类
 * </p>
 *
 * @author 
 * @since 2023-04-11
 */
@Service
public class CompanyInfoServiceImpl extends ServiceImpl<CompanyInfoMapper, CompanyInfo> implements CompanyInfoService {

    @Override
    public List<CompanyInfoVo> getList(CompanyInfoSelectDto dto) {
        IWrapper<CompanyInfo> wrapper = getWrapper();
        wrapper.orderByDesc("ci", CompanyInfo::getId);
        List<CompanyInfoVo> list = this.baseMapper.getList(wrapper);
        return list;
    }

}
