package com.fjhx.kd100.service.config;

import com.fjhx.kd100.entity.config.po.ConfigInfo;
import com.ruoyi.common.core.service.BaseService;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.kd100.entity.config.vo.ConfigInfoVo;
import com.fjhx.kd100.entity.config.dto.ConfigInfoSelectDto;
import com.fjhx.kd100.entity.config.dto.ConfigInfoDto;


/**
 * <p>
 * 租户快递100账户配置 服务类
 * </p>
 *
 * @author 
 * @since 2023-04-11
 */
public interface ConfigInfoService extends BaseService<ConfigInfo> {

    /**
     * 租户快递100账户配置分页
     */
    Page<ConfigInfoVo> getPage(ConfigInfoSelectDto dto);

    /**
     * 租户快递100账户配置明细
     */
    ConfigInfoVo detail(Long id);

    /**
     * 租户快递100账户配置新增
     */
    void add(ConfigInfoDto configInfoDto);

    /**
     * 租户快递100账户配置编辑
     */
    void edit(ConfigInfoDto configInfoDto);

    /**
     * 租户快递100账户配置删除
     */
    void delete(Long id);

}
