package com.fjhx.kd100.util;

import lombok.Getter;
import lombok.Setter;

import java.util.List;

@Getter
@Setter
public class KD100Result {

    /**
     * 消息体
     */
    private String message;

    /**
     * 单号
     */
    private String nu;

    /**
     * 快递公司编码,一律用小写字母
     */
    private String com;

    /**
     * -1未找到快递信息，0在途，1揽收，2疑难，3签收，4退签，5派件，6退回，7转投，8清关，14拒签
     */
    private Integer state;

    /**
     * 明细数据
     */
    private List<Data> data;

    @Getter
    @Setter
    public static class Data {

        /**
         * 时间
         */
        private String ftime;

        /**
         * 提示
         */
        private String context;

    }

}
