package com.fjhx.socket.entity;

import lombok.Data;

import java.util.Date;

@Data
public class MessageEntity {

    /**
     * 用户id
     */
    private Long userId;

    /**
     * 会话id
     */
    private Long sessionId;

    /**
     * 消息创建时间
     */
    private Date createTime;

    /**
     * 类型
     *
     * @remark -1：websocket链接失败  其他状态根据业务自定义
     */
    private Integer type;

    /**
     * 消息主体
     */
    private Object data;

}
