package com.fjhx.tenant.entity.dict.dto;

import com.ruoyi.common.core.domain.BaseSelectDto;
import lombok.Getter;
import lombok.Setter;

/**
 * 租户字典列表查询入参实体
 *
 * @author
 * @since 2023-03-30
 */
@Getter
@Setter
public class DictTenantTypeSelectDto extends BaseSelectDto {

    /**
     * 类型
     * 1业务字典 2自定义字典
     */
    private Integer type;

    /**
     * 字典状态
     * 0禁用 1启用
     */
    private Integer status;

    /**
     * 租户id
     */
    private String tenantId;

}
