package com.fjhx.tenant.entity.tenant.dto;

import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotEmpty;
import java.util.List;

@Getter
@Setter
public class BindingMenuDto {

    /**
     * 租户id
     */
    @NotEmpty(message = "租户id不能为空")
    private String tenantId;

    /**
     * 菜单id
     */
    @NotEmpty(message = "菜单id不能为空")
    private List<Long> menuIdList;

}
