package com.fjhx.tenant.entity.tenant.dto;

import com.ruoyi.common.core.domain.BaseSelectDto;
import lombok.Getter;
import lombok.Setter;

/**
 * 租户表列表查询入参实体
 *
 * @author zlj
 * @since 2023-03-15
 */
@Getter
@Setter
public class TenantInfoSelectDto extends BaseSelectDto {

    /**
     * 租户id
     */
    private String tenantId;

    /**
     * 企业名称
     */
    private String enterpriseName;

    /**
     * 状态 1启用 0禁用
     */
    private Integer status;

    /**
     * 流程状态 1审核中 2审核通过 3审核不通过
     */
    private Integer flowStatus;

}
