package com.fjhx.tenant.entity.tenant.po;

import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BasePo;
import lombok.Getter;
import lombok.Setter;

/**
 * <p>
 * 租户表
 * </p>
 *
 * @author zlj
 * @since 2023-03-15
 */
@Getter
@Setter
@TableName("tenant_info")
public class TenantInfo extends BasePo {

    /**
     * 租户id
     */
    private String tenantId;

    /**
     * 企业名称
     */
    private String enterpriseName;

    /**
     * 状态 1启用 0禁用
     */
    private Integer status;

    /**
     * 流程id
     */
    private Long flowId;

    /**
     * 流程状态 1审核中 2审核通过 3审核不通过
     */
    private Integer flowStatus;

    /**
     * 钉钉企业id
     */
    private String corpid;

}
