package com.fjhx.tenant.mapper.dict;

import com.fjhx.tenant.entity.dict.po.DictCommonData;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.tenant.entity.dict.vo.DictCommonDataVo;
import com.ruoyi.common.utils.wrapper.IWrapper;
import org.apache.ibatis.annotations.Param;


/**
 * <p>
 * 业务字典明细 Mapper 接口
 * </p>
 *
 * @author 
 * @since 2023-03-30
 */
public interface DictCommonDataMapper extends BaseMapper<DictCommonData> {

    /**
     * 业务字典明细分页
     */
    Page<DictCommonDataVo> getPage(@Param("page") Page<Object> page, @Param("ew") IWrapper<DictCommonData> wrapper);

}
