package com.fjhx.tenant.mapper.dict;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.tenant.entity.dict.dto.DictTenantDataSelectDto;
import com.fjhx.tenant.entity.dict.po.DictTenantData;
import com.fjhx.tenant.entity.dict.vo.DictTenantDataVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;


/**
 * <p>
 * 租户字典明细 Mapper 接口
 * </p>
 *
 * @author
 * @since 2023-03-30
 */
public interface DictTenantDataMapper extends BaseMapper<DictTenantData> {

    /**
     * 租户字典明细分页
     */
    Page<DictTenantDataVo> getPage(@Param("page") Page<Object> page, @Param("dto") DictTenantDataSelectDto dto);

    /**
     * 租户字典明细列表
     */
    List<DictTenantDataVo> getList(@Param("dto") DictTenantDataSelectDto dto);

}
