package com.fjhx.tenant.mapper.dict;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.tenant.entity.dict.dto.DictTenantTypeSelectDto;
import com.fjhx.tenant.entity.dict.po.DictTenantType;
import com.fjhx.tenant.entity.dict.vo.DictTenantTypeVo;
import org.apache.ibatis.annotations.Param;


/**
 * <p>
 * 租户字典 Mapper 接口
 * </p>
 *
 * @author
 * @since 2023-03-30
 */
public interface DictTenantTypeMapper extends BaseMapper<DictTenantType> {

    /**
     * 租户字典分页
     */
    Page<DictTenantTypeVo> getPage(@Param("page") Page<Object> page, @Param("dto") DictTenantTypeSelectDto dto);

}
