package com.fjhx.tenant.mapper.tenant;

import com.fjhx.tenant.entity.tenant.po.TenantInfo;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.tenant.entity.tenant.vo.TenantInfoVo;
import com.ruoyi.common.utils.wrapper.IWrapper;
import org.apache.ibatis.annotations.Param;


/**
 * <p>
 * 租户表 Mapper 接口
 * </p>
 *
 * @author zlj
 * @since 2023-03-15
 */
public interface TenantInfoMapper extends BaseMapper<TenantInfo> {

    /**
     * 租户表分页
     */
    Page<TenantInfoVo> getPage(@Param("page") Page<Object> page, @Param("ew") IWrapper<TenantInfo> wrapper);

}
