package com.fjhx.tenant.service.dict;

import com.fjhx.tenant.entity.dict.po.DictCommonType;
import com.ruoyi.common.core.service.BaseService;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.tenant.entity.dict.vo.DictCommonTypeVo;
import com.fjhx.tenant.entity.dict.dto.DictCommonTypeSelectDto;
import com.fjhx.tenant.entity.dict.dto.DictCommonTypeDto;


/**
 * <p>
 * 业务字典 服务类
 * </p>
 *
 * @author 
 * @since 2023-03-30
 */
public interface DictCommonTypeService extends BaseService<DictCommonType> {

    /**
     * 业务字典分页
     */
    Page<DictCommonTypeVo> getPage(DictCommonTypeSelectDto dto);

    /**
     * 业务字典明细
     */
    DictCommonTypeVo detail(Long id);

    /**
     * 业务字典新增
     */
    void add(DictCommonTypeDto dictCommonTypeDto);

    /**
     * 业务字典编辑
     */
    void edit(DictCommonTypeDto dictCommonTypeDto);

    /**
     * 业务字典删除
     */
    void delete(Long id);

}
