package com.fjhx.tenant.service.dict;

import com.fjhx.tenant.entity.dict.po.DictTenantType;
import com.ruoyi.common.core.service.BaseService;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.tenant.entity.dict.vo.DictTenantTypeVo;
import com.fjhx.tenant.entity.dict.dto.DictTenantTypeSelectDto;
import com.fjhx.tenant.entity.dict.dto.DictTenantTypeDto;


/**
 * <p>
 * 租户字典 服务类
 * </p>
 *
 * @author 
 * @since 2023-03-30
 */
public interface DictTenantTypeService extends BaseService<DictTenantType> {

    /**
     * 租户字典分页
     */
    Page<DictTenantTypeVo> getPage(DictTenantTypeSelectDto dto);

    /**
     * 租户字典明细
     */
    DictTenantTypeVo detail(Long id);

    /**
     * 租户字典新增
     */
    void add(DictTenantTypeDto dictTenantTypeDto);

    /**
     * 租户字典编辑
     */
    void edit(DictTenantTypeDto dictTenantTypeDto);

    /**
     * 租户字典删除
     */
    void delete(Long id);

}
