package com.ruoyi.system.domain;

import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BaseIdPo;
import lombok.Getter;
import lombok.Setter;

/**
 * <p>
 * 用户目录表
 * </p>
 *
 * @author
 * @since 2023-04-03
 */
@Getter
@Setter
@TableName("sys_user_menu")
public class SysUserMenu extends BaseIdPo {

    /**
     * 用户id
     */
    private Long userId;

    /**
     * 目录id
     */
    private Long menuId;

    /**
     * 类型 1web 2app
     */
    private Integer type;

}
