package com.ruoyi.system.domain.dto;

import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotNull;
import java.util.List;

/**
 * 用户目录表新增编辑入参实体
 *
 * @author
 * @since 2023-04-03
 */
@Getter
@Setter
public class SysUserMenuEditDto {

    /**
     * 类型 1web 2app
     */
    @NotNull(message = "类型不能为空")
    private Integer type;

    /**
     * 目录id
     */
    @NotNull(message = "目录id不能为空")
    private List<Long> menuIdList;

}
